Subject: [bug#66099] [PATCH gnome-team 0/3] Update upower

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 22 Sep 2023 06:22:50 +0200

Am Freitag, dem 22.09.2023 um 00:03 +0200 schrieb Vivien Kraus:
> So, presumably, upower tries to install itself into eudev stuff,
> which fails. Now, it should install into upower’s prefix, but I’m not
> sure how udevadm hwdb --update can be made to find hwdb files both
> from eudev and from upower. Maybe we need to introduce a search path,
> but I’m not sure udevadm understands any search path.
This is a mostly solved problem on the Guix side.  We either use search
paths, or in case a single file is really, absolutely, positively
needed, we can also make do with a profile hook or some other lookup
mechanism (see below).  In either case, we let packages write to *their
own* output directory rather than some other packages'.

For udev specifically, we have configuration files that specify where
to look up stuff generated by udev-service-type.  You might want to
place hwdb-related logic there.

Cheers